LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::security::KeyUsage Constant Group Reference

## Variables
const long | DIGITAL_SIGNATURE = 0x80
const long | NON_REPUDIATION = 0x40
const long | KEY_ENCIPHERMENT = 0x20
const long | DATA_ENCIPHERMENT = 0x10
const long | KEY_AGREEMENT = 0x08
const long | KEY_CERT_SIGN = 0x04
const long | CRL_SIGN = 0x02

## Variable Documentation

## ◆ CRL_SIGN

const long CRL_SIGN = 0x02

## ◆ DATA_ENCIPHERMENT

const long DATA_ENCIPHERMENT = 0x10

## ◆ DIGITAL_SIGNATURE

const long DIGITAL_SIGNATURE = 0x80

## ◆ KEY_AGREEMENT

const long KEY_AGREEMENT = 0x08

## ◆ KEY_CERT_SIGN

const long KEY_CERT_SIGN = 0x04

## ◆ KEY_ENCIPHERMENT

const long KEY_ENCIPHERMENT = 0x20

## ◆ NON_REPUDIATION

const long NON_REPUDIATION = 0x40